> For clean Markdown of any page, append .md to the page URL. > For a complete documentation index, see https://docs.ouster.com/sensor-docs/firmware/3.2/api-reference/ouster-http-api/system/get-network/llms.txt. > For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.ouster.com/_mcp/server. # Get the system network configuration GET http://os-992244000006.local/api/v1/system/network Get the system network configuration Reference: https://docs.ouster.com/sensor-docs/firmware/api-reference/ouster-http-api/system/get-network ## Response ### 200 System network configuration - `carrier` (boolean, optional) — State of Ethernet link, `true` when physical layer is connected - `duplex` (enum, optional) — Duplex mode of Ethernet link, `half` or `full` - Allowed values: `half`, `full` - `ethaddr` (string, optional) — Ethernet hardware (MAC) address. - `hostname` (string, optional) — Hostname of the sensor, also used when requesting DHCP address and registering mDNS hostname - `ipv4` (IPv4, optional) - `ipv6` (NetworkIpv6, optional) - `speed` (double, optional) — Ethernet physical layer speed in Mbps, should be 1000 Mbps ## Types ### IPv4 - `link_local` (string, required) — Link-local IPv4 address. - `override` (string, required, nullable) — Static IP override value, this should match addr. This value will be null when unset and operating in DHCP or link-local modes. - `addr` (string, optional) — Current global or private IPv4 address. ### NetworkIpv6 - `link_local` (string, optional) — Link-local IPv6 address ## Examples **Response** ```json { "carrier": true, "duplex": "full", "ethaddr": "bc:0f:a7:00:01:2c", "hostname": "os-991900123456", "ipv4": { "link_local": "169.254.245.183/16", "override": "null", "addr": "192.0.2.123/23" }, "ipv6": { "link_local": "fe80::be0f:a7ff:fe00:12c/64" }, "speed": 1000 } ``` **SDK Code** ```python import requests url = "http://os-992244000006.local/api/v1/system/network" response = requests.get(url) print(response.json()) ``` ```javascript const url = 'http://os-992244000006.local/api/v1/system/network'; const options = {method: 'GET'}; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go package main import ( "fmt" "net/http" "io" ) func main() { url := "http://os-992244000006.local/api/v1/system/network" req, _ := http.NewRequest("GET", url, nil) res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby require 'uri' require 'net/http' url = URI("http://os-992244000006.local/api/v1/system/network") http = Net::HTTP.new(url.host, url.port) request = Net::HTTP::Get.new(url) response = http.request(request) puts response.read_body ``` ```java import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.get("http://os-992244000006.local/api/v1/system/network") .asString(); ``` ```php request('GET', 'http://os-992244000006.local/api/v1/system/network'); echo $response->getBody(); ``` ```csharp using RestSharp; var client = new RestClient("http://os-992244000006.local/api/v1/system/network"); var request = new RestRequest(Method.GET); IRestResponse response = client.Execute(request); ``` ```swift import Foundation let request = NSMutableURLRequest(url: NSURL(string: "http://os-992244000006.local/api/v1/system/network")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "GET" let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```